/*******************************************************************************
	This program is used in clean_livestock_joint.do (moved here for convenience)
	It converts french livestock names to english.
	I then use the english version to convert livestock
	counts to Tropical Livestock Units.
*******************************************************************************/

capture prog drop translate_livestock 
prog define translate_livestock

		replace ani1_name = "Cows or Heifers" if ani1_name == "Vache / Genisse"
		
		replace ani1_name = "Guinea Fowls" if ani1_name == "Pintades"
		
		replace ani1_name = "Calves" if ani1_name == "Veau / Velle"
		
		replace ani1_name = "Sheep" if ani1_name == "Brebis"
		
		replace ani1_name = "Pork"  if ani1_name == "Porcins (Porcs)"
		
		replace ani1_name = "Other" if ani1_name == "Autre (precisez)"	| ///
									   ani1_name == "Autre (précisez)"
		
		replace ani1_name = "Bulls" if ani1_name == "Bovins (Boeufs, Vaches)"	| ///
									   ani1_name == "Bovins (Boeuf / Vaches)" | ///
									   ani1_name == "Bovins (Bœufs- Vaches)" | ///
									   ani1_name == "Boeuf / Taureau" | 	  ///
									   ani1_name ==  "Bovins (Boeufs- Vaches)"
									   
									   
		replace ani1_name = "Goats" if ani1_name == "Caprins (Chevres)" | ///
									   ani1_name == "Bouc / Chevre"
		
		replace ani1_name = "Muttons" if ani1_name == "Ovins (Moutons, brebis, etc.)"	| ///
										 ani1_name == "Ovins (moutons / brebins, etc.)" | ///
										 ani1_name == "Ovins (Moutons- brebis- etc.)" | ///
										 ani1_name == "Mouton / Belier"
										 
		replace ani1_name = "Camels"  if ani1_name == "Chameau / Chamelle"
		
		replace ani1_name = "Donkeys" if ani1_name == "Anes / Anesses" | ///
										 ani1_name == "Anes/ Anesses" | ///
										 ani1_name == "Anes"
										 
		replace ani1_name = "Horses or Mares" if ani1_name == "Chevaux / Juments" | ///
												 ani1_name == "Chevaux / juments"
												 
		replace ani1_name = "Hens or Chickens" if  ani1_name == "Volailles (poulet, pintade, canard, etc.)" | ///
												   ani1_name == "Volailles (poulet / pintade / canard / etc.)" | ///
												   ani1_name == "Volailles (poulet- pintade- canard- etc.)" | ///
												   ani1_name == "Poules / poulets locaux"
												   
	
end
