/*******************************************************************************
Title: 01_prepare.do
This do-file prepares each raw survey data section.

* Input: in ${deidentified}
* Output : in ${intermediate}
*******************************************************************************/

   * ******************************************************************** *
   * Randomization Strata  
   * ******************************************************************** * 
	
	if "$ph" == "bl" {  
	qui do "${prepare}/00_clean_rand_strata.do" 
	}
	
   * ******************************************************************** *
   * Cleaning Preparation
   * ******************************************************************** * 
   
	qui do "${prepare}/01_clean_preparation_${ph}.do"

   * ******************************************************************** *
   * Identification  
   * ******************************************************************** * 
   
	qui do "${prepare}/02_clean_identification.do"
	